Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1989)

Unified Diff: scripts/make_n_copy_data.sh

Issue 1051193002: Update tz db to 2015b (Closed) Base URL: https://chromium.googlesource.com/chromium/deps/icu.git@master
Patch Set: add comments to update_tz.sh Created 5 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: scripts/make_n_copy_data.sh
diff --git a/scripts/make_n_copy_data.sh b/scripts/make_n_copy_data.sh
new file mode 100755
index 0000000000000000000000000000000000000000..62f72885490a7ad673ef1781aa0d75ae5a9c7984
--- /dev/null
+++ b/scripts/make_n_copy_data.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright (c) 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+
Mark Mentovai 2015/04/02 19:47:10 Extra blank line here.
jungshik at Google 2015/04/02 21:21:05 Done.
+TOPSRC=$(egrep '^top_srcdir =' Makefile | cut -d ' ' -f 3)
+echo $TOPSRC
+
+cd data
+make
+
+sed -i 's/css3transform.res/root.res/' out/tmp/icudata.lst
+make
+
+if [ $? ]; then
+ echo "Failed to make data";
+ exit 1;
+fi
+
+cp out/tmp/icudt[5-9][0-9]l.dat ${TOPSRC}/data/in/icudtl.dat
Mark Mentovai 2015/04/02 19:47:10 Extra space here and on the next line. Quote the
jungshik at Google 2015/04/02 21:21:05 Done.
+cp out/tmp/icudt[5-9][0-9]l_dat.S ${TOPSRC}/../linux/icudtl_dat.S
+
+cd ${TOPSRC}/../scripts
+sh make_mac_assembly.sh

Powered by Google App Engine
This is Rietveld 408576698